
//========================Glacier Shader (Made by Liquidator)==============


//Icecle Glass 1
textures/glacier/blueglass
{
 	qer_editorimage textures/glacier/blueglass.tga
	qer_trans 0.7 

	surfaceparm nolightmap
	surfaceparm trans

	q3map_surfacelight 0

	{
	map textures/glacier/blueglass.tga
	tcGen environment
	blendfunc GL_ONE GL_ONE
	}
}



//Icecle Glass 2
textures/glacier/blueglass1
{
 	qer_editorimage textures/glacier/blueglass1.tga
	qer_trans 0.7 

	surfaceparm nolightmap
	surfaceparm trans

	q3map_surfacelight 0

	{
	map textures/glacier/blueglass1.tga
	tcGen environment
	blendfunc GL_ONE GL_ONE
	}
}



//Icecle Glass 3
textures/glacier/blueglass2
{
 	qer_editorimage textures/glacier/blueglass2.tga
	qer_trans 0.7 

	surfaceparm nolightmap
	surfaceparm trans

	q3map_surfacelight 0

	{
	map textures/glacier/blueglass2.tga
	tcGen environment
	blendfunc GL_ONE GL_ONE
	}
}



//Foggy Colda Water
textures/glacier/f_coldwater
	{
		qer_editorimage textures/glacier/glacier2.tga
		q3map_globaltexture
		qer_trans .5
	
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		
		tesssize 64
				
		surfaceparm fog
		fogparms ( 0.75 0.75 0.9 ) 1000
		
		{
			map textures/glacier/glacier2.tga
			blendfunc GL_DST_COLOR GL_ONE
			tcMod turb .1 .1 0 .01
			tcMod scale .5 .5
			tcMod scroll -.025 .02
		}	

	
	}
	
	
	
//Cold Water	
textures/glacier/coldwater	
	{
			qer_editorimage textures/glacier/glacier.tga
			qer_trans .5
			q3map_globaltexture
			surfaceparm trans
			surfaceparm nonsolid
			surfaceparm water
		
			cull disable
			deformVertexes wave 120 sin .80 .80 0 .65	
			{ 
				map textures/glacier/glacier.tga
				rgbgen identity
				tcmod scale .5 .5
				tcmod scroll .025 .01
			}
		
			{ 
				map textures/glacier/glacier.tga
				tcmod scale -.5 -.5
				tcmod scroll .025 .025
			}
		
		
	
		}

			

	
//Glacier Enviroment
textures/glacier/antartica
{
	qer_editorimage textures/glacier/antartica.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm noimpact
	q3map_globaltexture
//	q3map_lightsubdivide 1024
	q3map_surfacelight 80
	q3map_sun 0.6 0.6 0.6 100 120 70
	skyparms env/antartica - -
}



//Glacier Enviroment 2
textures/glacier/antartica2
{
	qer_editorimage textures/glacier/antartica2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm noimpact
	q3map_globaltexture
//	q3map_lightsubdivide 1024
	q3map_surfacelight 80
	q3map_sun 0.6 0.6 0.6 100 120 70
	skyparms env/antartica2 - -
}



//Glacier Enviroment 3
textures/glacier/antartica3
{
	qer_editorimage textures/glacier/antartica3.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm noimpact
	q3map_globaltexture
//	q3map_lightsubdivide 1024
	q3map_surfacelight 80
	q3map_sun 0.6 0.6 0.6 100 120 70
	skyparms env/antartica3 - -
}




//========================Spaceship Shader (Made by Liquidator)==============


//Force Field (Red)	
textures/glacier/redfield	
	{
				qer_editorimage textures/glacier/redfield.tga
				qer_trans .5
				q3map_globaltexture
				surfaceparm trans
				cull disable
				deformVertexes wave 120 sin .80 .80 0 .65	
				{ 
					map textures/glacier/redfield.tga
					rgbgen identity
					tcmod scale .5 .5
					tcmod scroll .025 .01
				}
			
				{ 
					map textures/glacier/redfield.tga
					tcmod scale -.5 -.5
					tcmod scroll .025 .025
				}
			
			
		
			}
//Force Field 2 (Red)		
textures/glacier/redfield2
{
			qer_editorimage textures/glacier/redfield.tga
			q3map_lightimage textures/glacier/redfield.tga
			surfaceparm trans
			surfaceparm nomarks
			surfaceparm nolightmap
			cull disable
	
			    {
			        map $lightmap
			        rgbGen identity
			    }
			    {
			        animMap 2 textures/glacier/redfield.tga textures/glacier/redfield2.tga
			        blendFunc GL_ONE GL_ONE
			    }
			    {
			        map textures/glacier/redfield.tga
			        blendFunc GL_SRC_ALPHA GL_ONE
			        alphaGen lightingSpecular
			    }
}

textures/glacier/rockenergy
{
    qer_editorimage textures/glacier/rock_dark.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/glacier/rock_light.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/glacier/energy_blue.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.25 0.25 0.25 0.25
        tcMod turb 0.2 0.2 0.1 1
        tcMod scale 0.25 0.25
        tcMod scroll -0.5 -1.2
    }
}